- Update to 1.5.0

* New Games:
    - Added support for Backyard Baseball 2003.
    - Added support for Blue Force.
    - Added support for Darby the Dragon.
    - Added support for Dreamweb.
    - Added support for Geisha.
    - Added support for Gregory and the Hot Air Balloon.
    - Added support for Magic Tales: Liam Finds a Story.
    - Added support for Once Upon A Time: Little Red Riding Hood
    - Added support for Sleeping Cub's Test of Courage.
    - Added support for Soltys.
    - Added support for The Princess and the Crab.
  * General:
    - Updated MT-32 emulation code to latest munt project snapshot.
      The emulation improved dramatically.
    - Implemented support for TrueType fonts via FreeType2 in our
      GUI. Along with it GNU FreeFont was also added to our modern
      theme. Note that not all ports take advantage of this.
    - Added Basque translation.
    - Added custom game and engine options in the AGI, DREAMWEB,
      KYRA, QUEEN, SKY and SCI engines. It is now possible to
      toggle these options via the Engine tab when adding or
      editing a configuration for a game. In most cases, you will
      have to run each game once or readd them all in ScummVM's
      launcher in order to get the custom options tab.
    - Improved predictive dialog look.
    - Various GUI improvements.
  * Broken Sword 1:
    - Fixed incorrect sound effects in the DOS/Windows demo.

OBS-URL: https://build.opensuse.org/package/show/games/scummvm?expand=0&rev=29
This commit is contained in:
Cristian Morales Vega 2012-07-21 22:52:23 +00:00 committed by Git OBS Bridge
parent fc19cdd07c
commit d51ccb5f44
6 changed files with 66 additions and 57 deletions

View File

@ -1,33 +0,0 @@
# The following source parts of stk may not be distributed for legal
# reasons (bnc#761623)
# Thus we have to cripple the source tree in a way that it still builds.
# Find source tarball + unpack
tmp="$(mktemp)"
trap 'rm -f $tmp; echo 1>&2 "$0 failed"' EXIT
tarsource="$(echo scummvm-*[0-9].tar.bz2)"
if [ ! -s "$tarsource" ] ; then
echo "Error: cannot find source tarball"
exit 1
fi
tarbase="${tarsource%.tar.bz2}"
tardest="$tarbase-crippled.tar.bz2"
rm -rf scummvm-*-crippled.tar.bz2
# Cripple source
echo 1>&2 "Crippling..."
files=$(tar -tf ${tarsource} | fgrep /devtools/create_project/xcode.cpp)
bzip2 -cd ${tarsource} > ${tmp}
tar --delete --file=${tmp} ${files}
bzip2 -c ${tmp} > ${tardest}
echo 1>&2 ""
echo 1>&2 "Successfully crippled tarball. :-("
echo 1>&2 ""
rm -rf $tmp
trap - EXIT
exit 0

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:3481162688891261d935b80c9b75919d7550c94322b2f6ddda99b907db6aa7bc
size 15680281

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:fa0a7f0d59524611be0c5b9be9ac7f8e7a72bab1826732e056f88332aa3139da
size 15703475

3
scummvm-1.5.0.tar.bz2 Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:81831cd878a8daad2976f65c92139a2102233082c7d2770579d7e425b19cea2e
size 17455085

View File

@ -1,3 +1,56 @@
-------------------------------------------------------------------
Sat Jul 21 22:37:28 UTC 2012 - reddwarf@opensuse.org
- Update to 1.5.0
* New Games:
- Added support for Backyard Baseball 2003.
- Added support for Blue Force.
- Added support for Darby the Dragon.
- Added support for Dreamweb.
- Added support for Geisha.
- Added support for Gregory and the Hot Air Balloon.
- Added support for Magic Tales: Liam Finds a Story.
- Added support for Once Upon A Time: Little Red Riding Hood
- Added support for Sleeping Cub's Test of Courage.
- Added support for Soltys.
- Added support for The Princess and the Crab.
* General:
- Updated MT-32 emulation code to latest munt project snapshot.
The emulation improved dramatically.
- Implemented support for TrueType fonts via FreeType2 in our
GUI. Along with it GNU FreeFont was also added to our modern
theme. Note that not all ports take advantage of this.
- Added Basque translation.
- Added custom game and engine options in the AGI, DREAMWEB,
KYRA, QUEEN, SKY and SCI engines. It is now possible to
toggle these options via the Engine tab when adding or
editing a configuration for a game. In most cases, you will
have to run each game once or readd them all in ScummVM's
launcher in order to get the custom options tab.
- Improved predictive dialog look.
- Various GUI improvements.
* Broken Sword 1:
- Fixed incorrect sound effects in the DOS/Windows demo.
- Added support for PlayStation videos.
- Fixed missing subtitles in the demo.
* Broken Sword 2:
- Added support for PlayStation videos.
* Cine:
- Implemented Roland MT-32 output driver.
* Drascula:
- Added Spanish subtitles in the Von Braun cutscene (#3069981:
no subtitles in scene with "von Braun").
* Gob:
- Fixed a crash in Lost in Time
- Rewrote the AdLib player. Enabled the now working MDY player
in Fascination and Geisha.
* SCUMM:
- Added support for the Macintosh version of SPY Fox in Hold
the Mustard.
- Added a difficulty selection dialog for Loom FM-TOWNS.
- Fixed graphical glitches in HE98 version of Pajama Sam's Lost
& Found.
-------------------------------------------------------------------
Wed May 16 13:35:26 UTC 2012 - reddwarf@opensuse.org

View File

@ -18,22 +18,15 @@
%bcond_with aac
%bcond_with mp3
%bcond_without distributable
Name: scummvm
Version: 1.4.1
Version: 1.5.0
Release: 0
Summary: Interpreter for several adventure games
License: GPLv2+, LGPLv2.1+, BSD
Group: Amusements/Games/Other
Url: http://www.scummvm.org/
# Waiting for sf#3527268 to be fixed
%if %{with distributable}
Source0: scummvm-%{version}-crippled.tar.bz2
%else
Source0: http://downloads.sourceforge.net/project/scummvm/scummvm/%{version}/scummvm-%{version}.tar.bz2
%endif
Source1: precheckin_cripple_tarball.sh
Source0: http://prdownloads.sourceforge.net/scummvm/scummvm-1.5.0.tar.bz2
Patch0: scummvm-nostrip.patch
# It's an ugly workaround but makes the sword25 engine plugin link against
# png/theora, and since we use --as-needed there are no real problems. Once the
@ -46,9 +39,12 @@ BuildRequires: hicolor-icon-theme
BuildRequires: pkgconfig(alsa) >= 0.9
BuildRequires: pkgconfig(flac) >= 1.0.1
BuildRequires: pkgconfig(fluidsynth)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(libpng) >= 1.2.8
BuildRequires: pkgconfig(ogg)
BuildRequires: pkgconfig(sdl) >= 1.2.2
BuildRequires: pkgconfig(theoradec) >= 1.0
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(vorbisfile)
BuildRequires: pkgconfig(zlib)
%if %{with aac}
@ -79,7 +75,7 @@ Group: Amusements/Games/Other
Requires: %{name} = %{version}
%description extra
M4, mohawk and hugo engines for ScummVM.
lastexpress, sword25 and toltecs engines for ScummVM.
These engines are in a worse state, but allow to play extra games.
%prep
@ -100,21 +96,17 @@ CXXFLAGS="%{optflags}" ; export CXXFLAGS ; \
--datarootdir=%{_datadir} \
--mandir=%{_mandir} \
--libdir=%{_libdir} \
--docdir=%{_docdir}/%{name} \
--enable-verbose-build \
--enable-plugins \
--enable-engine-dynamic=cge \
--enable-engine-dynamic=composer \
--enable-engine-dynamic=dreamweb \
--enable-engine-dynamic=lastexpress \
--enable-engine-dynamic=m4 \
--enable-engine-dynamic=sword25
# --docdir=%%{_docdir}/%%{name}
--enable-engine-dynamic=sword25 \
--enable-engine-dynamic=toltecs
# Subengines are not included even as dynamic since I don't want to touch the main engines
make %{?_smp_mflags}
%install
# docdir is here because since 1.2.0 configure is broken
%make_install docdir=%{_docdir}/%{name}
%make_install
# Since desktop-file-utils 0.19 (openSUSE 12.2) it automatically searches for %{buildroot}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ dists/scummvm.desktop